# Enum JsvManager.Result

java.lang.Object
java.lang.Enum<JsvManager.Result>
com.sun.grid.jsv.JsvManager.Result

All Implemented Interfaces:
  `Serializable, Comparable<JsvManager.Result>, java.lang.constant.Constable`

Enclosing class:
  `JsvManager`

public static enum JsvManager.Result extends Enum<JsvManager.Result>
The Result enumeration is used to set the result of a JSV verification operation.

Since:
  6.2u5
See Also:
  - `Jsv.onVerify(com.sun.grid.jsv.JsvManager)`

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ACCEPT`
`MODIFY`
`REJECT`
`REJECT_WAIT`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static JsvManager.Result`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static JsvManager.Result[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ACCEPT

public static final JsvManager.Result ACCEPT

### MODIFY

public static final JsvManager.Result MODIFY

### REJECT

public static final JsvManager.Result REJECT

### REJECT_WAIT

public static final JsvManager.Result REJECT_WAIT

## Method Details

### values

public static JsvManager.Result[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static JsvManager.Result valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<JsvManager.Result>`